Bug 9133 - Static mapping of uid's and gid's doesn't work?
Static mapping of uid's and gid's doesn't work?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-04 15:52 EST by Michael J. Rensing
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-08 22:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael J. Rensing 2000-02-04 15:52:06 EST
I need to map uid's and gid's for nfs exports using static maps. The man
page for exports(5) says that this can be done by specifying the map file
as a mapping option.

When I put the line "/data opus(rw,map_static=/etc/nfs/foobar.map)" in
the /etc/exports, create =/etc/nfs/foobar.map, and `exportfs -a` , I get
the error message 'exportfs: Unknown
Keyword "map_static=/etc/nfs/foobar.map" in export file'
Comment 1 Michael J. Rensing 2000-04-11 12:55:59 EDT
This could be closed. I'm not running nfs-server, I'm running knfsd.
Comment 2 Cristian Gafton 2000-08-08 22:35:05 EDT
assigned to johnsonm

Note You need to log in before you can comment on or make changes to this bug.